Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRClassGenerator

    java.lang.Object
      net.sf.jasperreports.engine.design.JRClassGenerator

    public class JRClassGenerator

extends java.lang.Object

Version:
  $Id: JRClassGenerator.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected java.util.Map` | `fieldsMap`
`protected java.util.Map` | `parametersMap`
`protected static java.lang.String` | `SOURCE_EXPRESSION_ID_END`
`protected static java.lang.String` | `SOURCE_EXPRESSION_ID_START`
`protected static int` | `SOURCE_EXPRESSION_ID_START_LENGTH`
`protected JRSourceCompileTask` | `sourceTask`
`protected JRVariable[]` | `variables`
`protected java.util.Map` | `variablesMap`

Constructor Summary
`protected` | `JRClassGenerator(JRSourceCompileTask sourceTask)`

Method Summary
`protected void` | `appendExpressionComment(java.lang.StringBuffer sb, JRExpression expression)`
`protected void` | `appendExpressionText(JRExpression expression, java.lang.StringBuffer sb, java.lang.String chunkText)`
`protected JRCompilationSourceCode` | `generateClass()`
`static JRCompilationSourceCode` | `generateClass(JRSourceCompileTask sourceTask)` Generates Java source code for evaluating the expressions of a report/dataset/crosstab.
`protected void` | `generateClassStart(java.lang.StringBuffer sb)`
`protected void` | `generateDeclarations(java.lang.StringBuffer sb)`
`protected void` | `generateInitFieldsMethod(java.lang.StringBuffer sb)`
`protected void` | `generateInitParamsMethod(java.lang.StringBuffer sb)`
`protected void` | `generateInitVarsMethod(java.lang.StringBuffer sb)`
`protected java.lang.String` | `generateMethod(byte evaluationType, java.util.List expressionsList)`
`protected JRExpression` | `getLineExpression(java.lang.String line)`
`protected JRExpression[]` | `parseSourceLines(java.lang.String sourceCode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOURCE_EXPRESSION_ID_START

    protected static final java.lang.String SOURCE_EXPRESSION_ID_START

See Also:
  Constant Field Values

### SOURCE_EXPRESSION_ID_START_LENGTH

    protected static final int SOURCE_EXPRESSION_ID_START_LENGTH

### SOURCE_EXPRESSION_ID_END

    protected static final java.lang.String SOURCE_EXPRESSION_ID_END

See Also:
  Constant Field Values

### sourceTask

    protected final JRSourceCompileTask sourceTask

### parametersMap

    protected java.util.Map parametersMap

### fieldsMap

    protected java.util.Map fieldsMap

### variablesMap

    protected java.util.Map variablesMap

### variables

    protected JRVariable[] variables

Constructor Detail

### JRClassGenerator

    protected JRClassGenerator(JRSourceCompileTask sourceTask)

Method Detail

### generateClass

    public static JRCompilationSourceCode generateClass(JRSourceCompileTask sourceTask)
                                                 throws JRException

  Generates Java source code for evaluating the expressions of a report/dataset/crosstab.

  Parameters:
    `sourceTask` - the source task containing data required to generate the source file
  Returns:
    the source code
  Throws:
    `JRException`

### generateClass

    protected JRCompilationSourceCode generateClass()
                                             throws JRException

  Throws:
    `JRException`

### generateClassStart

    protected final void generateClassStart(java.lang.StringBuffer sb)

### generateDeclarations

    protected final void generateDeclarations(java.lang.StringBuffer sb)

### generateInitParamsMethod

    protected final void generateInitParamsMethod(java.lang.StringBuffer sb)
                                           throws JRException

  Throws:
    `JRException`

### generateInitFieldsMethod

    protected final void generateInitFieldsMethod(java.lang.StringBuffer sb)
                                           throws JRException

  Throws:
    `JRException`

### generateInitVarsMethod

    protected final void generateInitVarsMethod(java.lang.StringBuffer sb)
                                         throws JRException

  Throws:
    `JRException`

### generateMethod

    protected final java.lang.String generateMethod(byte evaluationType,
                                                    java.util.List expressionsList)
                                             throws JRException

  Throws:
    `JRException`

### appendExpressionText

    protected void appendExpressionText(JRExpression expression,
                                        java.lang.StringBuffer sb,
                                        java.lang.String chunkText)

### appendExpressionComment

    protected void appendExpressionComment(java.lang.StringBuffer sb,
                                           JRExpression expression)

### parseSourceLines

    protected JRExpression[] parseSourceLines(java.lang.String sourceCode)

### getLineExpression

    protected JRExpression getLineExpression(java.lang.String line)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com